%define upstream_name  	    Search-Indexer
%define upstream_version    0.76

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Full-text indexer
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Search/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(BerkeleyDB)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Search::QueryParser)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This module provides support for indexing a collection of documents, for
searching the collection, and displaying the sorted results, together with
contextual excerpts of the original document.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.760.0-2mdv2011.0
+ Revision: 552003
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.760.0-1mdv2010.0
+ Revision: 389826
- new version

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.75-2mdv2010.0
+ Revision: 375904
- rebuild

* Tue Mar 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.75-1mdv2009.1
+ Revision: 362907
- import perl-Search-Indexer


* Tue Mar 31 2009 cpan2dist 0.75-1mdv
- initial mdv release, generated with cpan2dist

